import { Command } from '@oclif/command';
export default class Supernode extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        password: import("@oclif/command/lib/flags").IOptionFlag<string>;
        url: import("@oclif/command/lib/flags").IOptionFlag<string>;
        useKnownRestGateways: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        maxFee: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        target: import("@oclif/command/lib/flags").IOptionFlag<string>;
    };
    run(): Promise<void>;
}
