import { CertificatePair } from '../model';
export interface CertificateParams {
    readonly target: string;
    readonly user: string;
}
export interface NodeCertificates {
    main: CertificatePair;
    transport: CertificatePair;
}
export declare class CertificateService {
    private readonly root;
    protected readonly params: CertificateParams;
    constructor(root: string, params: CertificateParams);
    static getCertificates(stdout: string): CertificatePair[];
    run(symbolServerToolsImage: string, name: string, providedCertificates: NodeCertificates, customCertFolder?: string): Promise<void>;
    private createCertCommands;
}
